/*
 * Copyright (C) 2010 Timo Kokkonen <kaapeli@itanic.dy.fi>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _PIDLIB_H_
#define _PIDLIB_H_

#include <sys/types.h>
#include <dirent.h>

char *get_name_by_pid(int pid);
int get_next_tid(int pid, DIR **dir);
int get_next_pid(DIR **dir);
int get_next_pid_by_name(DIR **dir, char *name);
int read_cmdline(int pid, int tid, char *cmdline, size_t len);
int pidstr_is_ok(const char *str);

#endif
